package com.hxhq.business.form.gsp;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 供试品编辑
 */
public class GspForm {

    /** 供试品id */
    private Long id;

    /** 名称/代号 */
    @NotEmpty(message = "请输入名称/代号")
    @Length(max = 50, message = "名称/代号不能超过50字")
    private String mc;

    /** 编号 */
    @NotEmpty(message = "请输入编号")
    @Length(max = 50, message = "编号不能超过50字")
    private String bh;

    /** 批号 */
    @NotEmpty(message = "请输入批号")
    @Length(max = 50, message = "批号不能超过50字")
    private String ph;

    /** 规格 */
    @NotEmpty(message = "请输入规格")
    @Length(max = 10, message = "规格不能超过10字")
    private String gg;

    /** 规格单位 */
    @NotEmpty(message = "请选择规格单位")
    private String ggdw;

    /** 库存数量 */
    @NotEmpty(message = "请输入库存量")
    @Length(max = 10, message = "库存量不能超过10字")
    private String kc;

    /** 库存单位 */
    @NotEmpty(message = "请选择库存单位")
    private String kcdw;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "请选择有效期")
    private Date yxq;

    /** 接收日期 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @NotNull(message = "请选择接收日期")
    private Date jsrq;

    /** 存储条件 */
    @NotEmpty(message = "请选择保存条件")
    private String cctj;

    /** 注意事项 */
    @NotEmpty(message = "请输入注意事项")
    private String zysx;

    /** 签名人id */
    private Long qmrId;

    /** 签名人密码 */
    @NotEmpty(message = "请输入签名人密码")
    private String qmrmm;

    private String qmbz;

    public String getQmbz() {
        return qmbz;
    }

    public void setQmbz(String qmbz) {
        this.qmbz = qmbz;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMc() {
        return mc;
    }

    public void setMc(String mc) {
        this.mc = mc;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public String getPh() {
        return ph;
    }

    public void setPh(String ph) {
        this.ph = ph;
    }

    public String getGg() {
        return gg;
    }

    public void setGg(String gg) {
        this.gg = gg;
    }

    public String getGgdw() {
        return ggdw;
    }

    public void setGgdw(String ggdw) {
        this.ggdw = ggdw;
    }

    public String getKc() {
        return kc;
    }

    public void setKc(String kc) {
        this.kc = kc;
    }

    public String getKcdw() {
        return kcdw;
    }

    public void setKcdw(String kcdw) {
        this.kcdw = kcdw;
    }

    public Date getYxq() {
        return yxq;
    }

    public void setYxq(Date yxq) {
        this.yxq = yxq;
    }

    public Date getJsrq() {
        return jsrq;
    }

    public void setJsrq(Date jsrq) {
        this.jsrq = jsrq;
    }

    public String getCctj() {
        return cctj;
    }

    public void setCctj(String cctj) {
        this.cctj = cctj;
    }

    public String getZysx() {
        return zysx;
    }

    public void setZysx(String zysx) {
        this.zysx = zysx;
    }

    public Long getQmrId() {
        return qmrId;
    }

    public void setQmrId(Long qmrId) {
        this.qmrId = qmrId;
    }

    public String getQmrmm() {
        return qmrmm;
    }

    public void setQmrmm(String qmrmm) {
        this.qmrmm = qmrmm;
    }
}
